/*
 * MATH.H
 *
 * Specs for C-callable mathematical functions
 *
 * 1.2.1  09-Feb-87 AET  (changed ceil(),floor() to double)
 *                       (added fmod() )
 * 1.2.0  03-Feb-87 AET  (added HUGE_VAL,EDOM,ERANGE)
 * 1.1.0  28-Sep-84 ADC  (not all of these entries yet in RTL)
 *
 */

#define EDOM     33
#define ERANGE   34

#define HUGE_VAL LL_HUGE_VAL
extern double HUGE_VAL;

extern double acos(),
              asin(),
              atan(),
              atan2(),
              cabs(),
              ceil(),
              cos(),
              cosh(),
              exp(),
              fabs(),
              floor(),
              fmod(),
              frexp(),
              hypot(),
              ldexp(),
              log(),
              log10(),
              modf(),
              pow();
extern int    rand();
extern double sin(),
              sinh(),
              sqrt();
extern int    srand();
extern double tan(),
              tanh();
